## containerd.io 1.4.3

=== debian/changelog ===
containerd.io (1.4.3-1.lnd.1) release; urgency=high

  * add support for loongarch64

 -- wanghuaiqing <wanghuaiqing@loongson.cn>  Mon, 17 May 2021 16:06:57 +0000

containerd.io (1.4.3-1) release; urgency=high

  * Update to containerd 1.4.3 to address CVE-2020-15257.

 -- zhangwenlong <zhangwenlong@loongson.cn>  Wed, 02 Dec 2020 14:33:09 +0000

containerd.io (1.4.3) release; urgency=high

  * Update to containerd 1.4.3 to address CVE-2020-15257.

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Wed, 02 Dec 2020 14:33:09 +0000

containerd.io (1.4.2-1) release; urgency=medium

  * Update to containerd 1.4.2

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Thu, 26 Nov 2020 13:34:04 +0000

containerd.io (1.4.1-1) release; urgency=medium

  * Update to containerd 1.4.1
  * Update Golang runtime to 1.13.15

 -- Tibor Vass <tibor@docker.com>  Tue, 06 Oct 2020 21:36:54 +0000

containerd.io (1.3.7-1) release; urgency=medium

  * Update to containerd 1.3.7
  * Update Golang runtime to 1.13.12.

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Wed, 09 Sep 2020 15:40:28 +0000

containerd.io (1.2.13-2) release; urgency=medium

  * Build packages for Ubuntu 20.04
  * Include man pages
  * Add libseccomp as required dependency

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Fri, 01 May 2020 23:41:28 +0000

containerd.io (1.2.13-1) release; urgency=medium

  * Update to containerd 1.2.13, which fixes a regression introduced in v1.2.12
    that caused container/shim to hang on single core machines, and fixes an issue
    with blkio.
  * Update Golang runtime to 1.12.17.

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Mon, 17 Feb 2020 10:46:04 +0000

containerd.io (1.2.12-1) release; urgency=medium

  * Update the runc vendor to v1.0.0-rc10 which includes a mitigation for
    CVE-2019-19921.
  * Update the opencontainers/selinux which includes a mitigation for
    CVE-2019-16884.
  * Update Golang runtime to 1.12.16, mitigating the CVE-2020-0601
    certificate verification bypass on Windows, and CVE-2020-7919,
    which only affects 32-bit architectures.
  * A fix to prevent SIGSEGV when starting containerd-shim
  * Fix to prevent high system load/CPU utilization with liveness and readiness
    probes
  * Fix to prevent docker exec hanging if an earlier docker exec left a zombie
    process
  * CRI: Update the gopkg.in/yaml.v2 vendor to v2.2.8 with a mitigation for
    CVE-2019-11253

 -- Derek McGowan <derek@docker.com>  Tue, 04 Feb 2020 9:43:30 +0000

containerd.io (1.2.11-2) release; urgency=medium

  * Update Golang runtime to 1.12.15, which includes fixes in the net/http package
    and the runtime on ARM64

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Fri, 24 Jan 2020 14:42:35 +0000

containerd.io (1.2.11-1) release; urgency=medium

  * Update the runc vendor to v1.0.0-rc9 which includes an additional
    mitigation for CVE-2019-16884
  * Add local-fs.target to service file to fix corrupt image after unexpected
    host reboot
  * Update Golang runtime to 1.12.13, which includes security fixes to the
    crypto/dsa package made in Go 1.12.11 (CVE-2019-17596), and fixes to the
    go command, runtime, syscall and net packages (Go 1.12.12)
  * CRI: Fix shim delete error code to avoid unnecessary retries in the CRI plugin

 -- Evan Hazlett <evan@docker.com>  Thu, 9 Jan 2020 20:40:43 +0000

containerd.io (1.2.10-3) release; urgency=medium

  * Added explicit --restart-after-upgrade to dh_systemd_start due to
    containerd services failing to restart automatically after an
    upgrade from 1.2.X -> 1.2.10

 -- Eli Uriegas <eli.uriegas@docker.com>  Thu, 17 Oct 2019 02:46:43 +0000

containerd.io (1.2.10-2) release; urgency=high

  * build with Go 1.12.10

 -- Eli Uriegas <eli.uriegas@docker.com>  Mon, 07 Oct 2019 23:57:42 +0000

containerd.io (1.2.10-1) release; urgency=high

  * containerd 1.2.10 release
  * Bump runc to 3e425f80a8c931f88e6d94a8c831b9d5aa481657 (1.0.0-rc8 + CVE-2019-16884)
  * Addresses CVE-2019-16884 (AppArmor bypass)

 -- Eli Uriegas <eli.uriegas@docker.com>  Thu, 26 Sep 2019 20:58:57 +0000

containerd.io (1.2.9-1) release; urgency=high

  * containerd 1.2.9 release
  * Addresses CVE-2019-9512 (Ping Flood), CVE-2019-9514 (Reset Flood), and
    CVE-2019-9515 (Settings Flood).

 -- Eli Uriegas <eli.uriegas@docker.com>  Fri, 06 Sep 2019 20:04:44 +0000

containerd.io (1.2.8-1) release; urgency=medium

  * containerd 1.2.8 release
  * build with Go 1.12.9

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Tue, 27 Aug 2019 22:40:56 +0000

containerd.io (1.2.6-4) release; urgency=high

  * build with Go 1.11.13 (CVE-2019-9512, CVE-2019-9514)

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Thu, 15 Aug 2019 21:02:17 +0000

containerd.io (1.2.6-3) release; urgency=medium

  * move runc from /usr/sbin to /usr/bin

 -- Eli Uriegas <eli.uriegas@docker.com>  Wed, 12 Jun 2019 19:42:39 +0000

containerd.io (1.2.6-2) release; urgency=medium

  * update runc to v1.0.0-rc8

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Fri, 26 Apr 2019 00:59:05 +0000

containerd.io (1.2.6-1) release; urgency=medium

  * containerd 1.2.6 release
  * update runc to 029124da7af7360afa781a0234d1b083550f797c
  * build with Go 1.11.8

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Wed, 09 Apr 2019 19:19:23 +0000

containerd.io (1.2.5-1) release; urgency=medium

  * containerd 1.2.5 release
  * update runc to 2b18fe1d885ee5083ef9f0838fee39b62d653e30
  * build with Go 1.11.5

 --  Sebastiaan van Stijn <thajeztah@docker.com>  Thu, 14 Mar 2019 09:23:34 +0000

containerd.io (1.2.4-1) release; urgency=medium

  * containerd 1.2.4 release
  * update runc to 6635b4f0c6af3810594d2770f662f34ddc15b40d

 -- Sebastiaan van Stijn <thajeztah@docker.com>  Fri, 15 Feb 2019 00:56:08 +0000

containerd.io (1.2.2-3) release; urgency=high

  * [runc -> 09c8266] nsenter: clone /proc/self/exe to avoid exposing
    host binary to container (CVE-2019-5736)

 -- Eli Uriegas <eli.uriegas@docker.com>  Thu, 31 Jan 2019 22:30:30 +0000


